Bug 199681 - Review Request: slab
Review Request: slab
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-07-21 08:13 EDT by Parag AN(पराग)
Modified: 2007-11-30 17:11 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 19:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
poor font rendering example (68.33 KB, image/png)
2006-08-24 11:12 EDT, Thomas J. Baker
no flags Details

  None (edit)
Description Parag AN(पराग) 2006-07-21 08:13:19 EDT
Spec URL: http://people.redhat.com/pnemade/slab/slab.spec
SRPM URL: http://people.redhat.com/pnemade/slab/slab-1.0-4.20060721cvs.fc5.src.rpm
Description: Slab is a gnome menu panel. It contains control center for gnome and application browser for gnome menu panel.
Comment 1 Rahul Sundaram 2006-07-22 05:06:04 EDT
I am not sure whether reviewing functionality is a good thing to look at during
package reviews. Anyway in FC5, the more applications menu doesnt show up. Help,
Control center and install packages menu entries are not working either. Network
status should probably call the configuration tool when clicked. 
Comment 2 Parag AN(पराग) 2006-07-25 02:08:19 EDT
Rahul,
   I don't think we have gnomesu command on Fedora systems. When i check Desktop
files of main-menu from CVS repository, i found that its calling "gnomesu rug
update unstable" command . Similarly, Ubuntu OS changed that command to "gnomesu
gnome-app-install". So the problem of not able to use main-menu desktop file is
that we don't have gnomesu and i need to know what will be the similar command i
can use there instead to use gnomesu?
  If you see main-menu desktop file's description, you will find 
Desktop file for SuSE is
[Desktop Entry]
X-SuSE-translate=true
_Name=Software Update
Exec=gnomesu rug update unstable
Icon=system-software-update
Terminal=true
Type=Application
StartupNotify=true
Encoding=UTF-8
NoDisplay=true


and Desktop file for Ubuntu is
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=No name
X-SuSE-translate=true
_Name=Software Update
Exec=gnomesu gnome-app-install
Icon=system-software-update
Terminal=true
Type=Application
StartupNotify=true
NoDisplay=true
GenericName[en_US]=

What should i change in that desktop file for Fedora OS?
Comment 3 Parag AN(पराग) 2006-07-25 02:12:52 EDT
I am thinking to change the name of package from slab to gnome-main-menu and as
per given in configure script changing version name to 0.6.2. Is that ok to have
version from configure script and not as per packaged previously for CVS snapshots?
Comment 4 Paul Howarth 2006-07-25 06:10:12 EDT
(In reply to comment #2)
> Rahul,
>    I don't think we have gnomesu command on Fedora systems. When i check Desktop
> files of main-menu from CVS repository, i found that its calling "gnomesu rug
> update unstable" command . Similarly, Ubuntu OS changed that command to "gnomesu
> gnome-app-install". So the problem of not able to use main-menu desktop file is
> that we don't have gnomesu and i need to know what will be the similar command i
> can use there instead to use gnomesu?
>   If you see main-menu desktop file's description, you will find 
> Desktop file for SuSE is
> [Desktop Entry]
> X-SuSE-translate=true
> _Name=Software Update
> Exec=gnomesu rug update unstable
> Icon=system-software-update
> Terminal=true
> Type=Application
> StartupNotify=true
> Encoding=UTF-8
> NoDisplay=true
> 
> 
> and Desktop file for Ubuntu is
> [Desktop Entry]
> Version=1.0
> Encoding=UTF-8
> Name=No name
> X-SuSE-translate=true
> _Name=Software Update
> Exec=gnomesu gnome-app-install
> Icon=system-software-update
> Terminal=true
> Type=Application
> StartupNotify=true
> NoDisplay=true
> GenericName[en_US]=
> 
> What should i change in that desktop file for Fedora OS?

Wouldn't that be "Package Updater" (pup)?

See /usr/share/applications/pup.desktop from the pirut package.
Comment 5 Parag AN(पराग) 2006-07-25 06:27:52 EDT
Paul,
    I followed
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/sysadmin-guide/s1-access-console-enable.html
and created slab file instead foo given in above link. I only excluded last part
given on that page og modifying /etc/pam.d/slab file. I just let it be as it is
as its copy of /etc/pam.d/halt.
    Before adding to desktop file pup i just checked on console following
command /usr/bin/slab /usr/bin/pup and it failed with error as Failed to find
selected program.
    How can i solve this issue?

Comment 6 Paul Howarth 2006-07-25 06:37:25 EDT
Using consolehelper requires this arrangement:

1. The program to be run as root is installed into /usr/sbin or /sbin, and not
/usr/bin, e.g. /usr/sbin/pup

2. A symlink is made from /usr/bin, e.g. /usr/bin/pup -> consolehelper

So when a regular user types "pup", it invokes "consolehelper", which prompts
for the root password, switches to root and then runs the appropriate program
from /usr/sbin or /sbin, i.e. /usr/sbin/pup
Comment 7 Parag AN(पराग) 2006-07-25 07:06:53 EDT
What i did is
1)cd /usr/sbin
2)ln -s /usr/bin/consolehelper slab
3)touch /etc/security/console.apps/slab
4)cp /etc/pam.d/halt /etc/pam.d/slab
Then i added command
/usr/sbin/slab /usr/bin/pup
But when i reinstall package and then i click desktop icon under
Application->Settings i got new console which even did not ask me for root
password and nothing happened.

What may go wrong?

 
Comment 8 Paul Howarth 2006-07-25 07:15:38 EDT
(In reply to comment #7)
> What i did is
> 1)cd /usr/sbin
> 2)ln -s /usr/bin/consolehelper slab

This creates a symlink /usr/sbin/slab -> /usr/bin/consolehelper

This is not the arrangement I described in Comment #6

> 3)touch /etc/security/console.apps/slab
> 4)cp /etc/pam.d/halt /etc/pam.d/slab
> Then i added command
> /usr/sbin/slab /usr/bin/pup
> But when i reinstall package and then i click desktop icon under
> Application->Settings i got new console which even did not ask me for root
> password and nothing happened.
> 
> What may go wrong?

I am not familiar with slab; what is it *supposed* to do?
Comment 9 Parag AN(पराग) 2006-07-25 07:19:27 EDT
its just substitute to foo given under
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/sysadmin-guide/s1-access-console-enable.html

Do i need to use pup instead foo given in above link? I used slab a new file
name which is link to consolehelper
Comment 10 Paul Howarth 2006-07-25 07:24:23 EDT
The actual program needs to be in /usr/sbin

The symlink needs to be in /usr/bin

Otherwise, it doesn't work.
Comment 11 Matthias Clasen 2006-07-25 10:52:18 EDT
gnome-main-menu would be a confusing name, given that we already have a
"Gnome Main Menu" in the "Add to panel" dialog.
Comment 12 Chris Chabot 2006-07-31 08:45:04 EDT
Some initial investigation into slab intergration:

The control center is still an old gnome 2.12.3 call, and got changed in 2.14,
this patch (to slab) should solve this problem:

--- control-center/src/control-center.c
+++ control-center/src/control-center.c
@@ -140,7 +140,7 @@
}

AppShellData *app_data =
- appshelldata_new ("preferences.menu", NULL,
+ appshelldata_new ("settings.menu", NULL,
CONTROL_CENTER_PREFIX,
GTK_ICON_SIZE_DIALOG);
generate_categories (app_data);


Second problem is the non working updater, enough discussion already in this
thread about this, so no need to cover that again, short is that it has to be
changed to use pup :-)

Next 'big' problem is the recently used applications, there's 2 ways of dealing
with this that i can think of.

The ubuntu way: 
https://wiki.ubuntu.com/Slab?action=AttachFile&do=get&target=places.patch
It replaces the recently used applications functionality with 'places'
functionality .. not a horrible way to go, but not as fancy as true 'recently
used apps' though :-)

The second option, which i think is the argually 'better way' is to intergrate
the developed patches for the gnome panel and gnome desktop into fedora's .. and
have an actual working 'recent applications' :-) Patches can be viewed here:
http://cvs.gnome.org/viewcvs/slab/patch/

Comment 13 Parag AN(पराग) 2006-07-31 08:51:23 EDT
The major problem i am facing is not updater but i wonder how can using that
main-menu-rug.desktop icon which is given task to execute updater will display
main-menu window as given in https://wiki.ubuntu.com/Slab ?
Comment 14 Chris Chabot 2006-07-31 10:08:33 EDT
I've done some work creating some patches inspired by, or straightly ported from
Ubuntu's work on slab, i've put the result of the work so far (definatly not
completed yet) here:

http://develop.intermax.nl/slab/slab.spec
http://develop.intermax.nl/slab/slab-1.0-5.20060721cvs.src.rpm

Patch list is growing nicely, but its not complete yet, still missing some
icons, and not all buttons are perfect yet.. to be continued tomorrow i think
(depending on how my full time job will demand my time :-))
Comment 15 Chris Chabot 2006-07-31 15:15:18 EDT
Worked on it a littlebit more and its getting damned close to being truely
'usable', its even made my own panel perminently now :-)

All the buttons work as expected now, recent documents, places, application
browser, control-center, help, add&remove programs, etc ...

Changes and patches (8 now so far, but not done yet :-))

* Mon Jul 31 2006 Chris Chabot <chabotc@xs4all.nl>- 1.0-5.20060721cvs
- Shortend .desktop install a bit
- Fixed (build)requires, gtk1 isn't required
- s/recent apps/places patch
- Patched menu names (s/install software/add&remove/, s/logout/exit/).
- Patched menu logo to distributer's logo.
- Patched menu name to "Slab main menu" (temporary to avoid confusion)
- Patched control-center.c to use settings.menu instead of preferences.menu
- Patched schema to use fedora's apps for actions
- Patched application browser context menu to hide unused actions

To be honest i wouldn't mind taking over this package, or co-maintaining it with
you Parag, i love trying to make Fedora more user friendly, and this seems like
a worthwhile endevour to help to work on this, plus i'm starting to feel quite
'familiar' with its inner workings after so much patching :-)

Anyhow let me know how you feel about this please, i would hate to step on
anyone's toe's, but i'd also love to give my best to make sure slab in fedora
becomes a very usable tool :-)
Comment 16 Rahul Sundaram 2006-07-31 15:21:37 EDT
You havent submitted the new srpm and spec file
Comment 17 Chris Chabot 2006-07-31 15:26:51 EDT
*midair collision*

Original post read (awnsering your question :-))

ps spec and src.rpm are available at the same location as before:
http://develop.intermax.nl/slab/slab.spec
http://develop.intermax.nl/slab/slab-1.0-5.20060721cvs.src.rpm

Todo is to hack the application-browser context menu too (so far i've only
hacked out the un-usable menu options out of the main menu), fix the computer
logo to be the fedora logo and some other minor spit and polish (requires to
include all defaut apps, use system-config-network instead of
gnome-network-settings, some minor rpmlint errors, and an invalid en_*
translation location..)
Comment 18 Chris Chabot 2006-07-31 15:29:28 EDT
Also considering changing slab to have 'update software' in the main right colom
(calling pup), else end users might never find it.. and pirut doestn't update
yet does it?
Comment 19 Rahul Sundaram 2006-07-31 15:35:12 EDT
Yes, Pup is the software updater and Pirut is the package manager. They use the
same source package and share the code base so there is no point is Pirut doing
updates too. 
Comment 20 Thomas J. Baker 2006-07-31 15:50:19 EDT
Looking good. How do you choose which hard drive to display? It probably makes
sense to display the partition of the users home directory. (It looks like it
may be defaulting to the first ext2 partition which is my /boot partition. Or
maybe it's defaulting to that because my home dir is nfs mounted?)
Comment 21 Chris Chabot 2006-07-31 16:40:17 EDT
From what i understand it -should- show the disk stats for your home dir ...
would make sense to from usability perspective .. I'll dig into that if thats
indeed the behaviour or no tomorrow (and if not, if we can change it)
Comment 22 Rahul Sundaram 2006-07-31 17:34:57 EDT
slab  menu doesnt show fedora logo
No search functionality in the slab menu (use beagle)
Recently used has been replaced with places. We probably need to provide them
both as options.
Help option doesnt work (use yelp)
Application browser context menu doesnt offer to uninstall (call pirut) or
upgrade (call pup) the application and help is unavailable in the context menu
in all of the application listed in the application browser. 
Comment 23 Chris Chabot 2006-07-31 19:06:54 EDT
(In reply to comment #22)

> slab  menu doesnt show fedora logo
WIP

> No search functionality in the slab menu (use beagle)
Under investigation

> Recently used has been replaced with places. We probably need to provide them
> both as options.

This would require 2 patches to the gnome-{desktop,panel} packages, for which
i'm in no position to decide if thats something that fedora (core) wishes to do
or not .. i'd prefer that too, but it is a core decision, and not extras.. If
you wish to lobby to the core commity / maintainer of panel/desktop to include
these patches, please do :-)

> Help option doesnt work (use yelp)
its already patches to use gnome-yelp.desktop, maybe you don't have it
installed? Its not in the requires yet (WIP), will investigate more tomorrow

> Application browser context menu doesnt offer to uninstall (call pirut) or
> upgrade (call pup) the application

Whats the pirut call for removing a package? --help gave me no sugestions, nor
is there a man page .. Same with pup .. please advice what command line calls
you'd like to see there

> and help is unavailable in the context menu
> in all of the application listed in the application browser. 

Still under investigation .. i need sleep and have a full time job to you know :-)
Comment 24 Chris Chabot 2006-07-31 19:09:40 EDT
suse's patches to gnome panel/desktop can be found in:
http://cvs.gnome.org/viewcvs/slab/patch/ btw, as i memtioned before in comment #13
Comment 25 Chris Chabot 2006-07-31 19:10:01 EDT
suse's patches to gnome panel/desktop can be found in:
http://cvs.gnome.org/viewcvs/slab/patch/ btw, as i memtioned before in comment #12
Comment 26 Rahul Sundaram 2006-07-31 19:27:29 EDT
(In reply to comment #23)

> > Recently used has been replaced with places. We probably need to provide them
> > both as options.
> 
> This would require 2 patches to the gnome-{desktop,panel} packages, for which
> i'm in no position to decide if thats something that fedora (core) wishes to do
> or not .. i'd prefer that too, but it is a core decision, and not extras.. If
> you wish to lobby to the core commity / maintainer of panel/desktop to include
> these patches, please do :-)

It just requires you to file RFE's against the relevant packages preferably with
spec patches and a brief explanation. If its not too intrusive it would probably
be accepted. 

> 
> > Help option doesnt work (use yelp)
> its already patches to use gnome-yelp.desktop, maybe you don't have it
> installed? Its not in the requires yet (WIP), will investigate more tomorrow

Installing yelp didnt make a difference. 


> 
> > Application browser context menu doesnt offer to uninstall (call pirut) or
> > upgrade (call pup) the application
> 
> Whats the pirut call for removing a package? --help gave me no sugestions, nor
> is there a man page .. Same with pup .. please advice what command line calls
> you'd like to see there

There is some docs in %docs but not sure whether it is documented or even
possible currently. Jeremy Katz katzj@redhat.com, jeremy on fedora-devel irc is
the developer and maintainer of both these packages for contact. 


> 
> > and help is unavailable in the context menu
> > in all of the application listed in the application browser. 
> 
> Still under investigation .. i need sleep and have a full time job to you know :-)

I am just a volunteer from the Fedora perspective so take your time. Just
reviewing the functionality. 
Comment 27 Rahul Sundaram 2006-07-31 19:47:41 EDT

The Yelp problem was fixed by removing and adding back the applet after
installing yelp. Apparently its not dynamic. You can just provide a BR and fix
this. 
Comment 28 Chris Chabot 2006-07-31 20:38:18 EDT
(In reply to comment #26)
> It just requires you to file RFE's against the relevant packages preferably
> with spec patches and a brief explanation. If its not too intrusive it would
> probably be accepted.

This i can gladly do, though looking at the patches they might be called
'intrusive'. The meat of those patches is a new lib (for tracking recently used)
but there is also a part which rewrites some of the application launching code,
which ofcource is anything but trivial .. if it would ever break, there would be
no desktop worth mentioning for the end users :-)

For the time being i've replaced the recently used with places, but i'll file
the bugs with the RFE's, and see how it floats.. if there accepted i'll build it
so that it has both recently used and places (seeing how nautilus has this as a
prominent thing too, we might as well include it)

> Installing yelp didnt make a difference. 

Glad to hear in comment #27 it did :-) Requires and build requires still need a
lot of spit and polish, i'm basing my work on the original spec and it still
needs a good scrubbing :-)

Yelp and beagle are definatly 2 packages that will make the requires list,
however I'm still weighing if i should expand the requires to include openoffice
writer/impress/calc, firefox and evolution ... it comes hardcoded with a list of
pre-set 'favorite applications' and it would be a shame to have this menu be
empty (ie .desktop files not found for those apps).. however it might be a (to)
heavy dependency to pull in?

> There is some docs in %docs but not sure whether it is documented or even
> possible currently. Jeremy Katz katzj@redhat.com, jeremy on fedora-devel irc is
> the developer and maintainer of both these packages for contact. 

I'll have to ping Jeremy for this, no docs make any mention of such
functionality, and where there is a system-install-packages, there's no
uninstall .. Alternativly for the time being i considered patching out those
menu options if we can't provide them with functionality for now

> I am just a volunteer from the Fedora perspective so take your time. Just
> reviewing the functionality. 
Sorry if i sounded a bit grumpy before, just been a long day :-)
Comment 29 Rahul Sundaram 2006-07-31 20:47:55 EDT
(In reply to comment #28)

> This i can gladly do, though looking at the patches they might be called
> 'intrusive'. The meat of those patches is a new lib (for tracking recently used)
> but there is also a part which rewrites some of the application launching code,
> which ofcource is anything but trivial .. if it would ever break, there would be
> no desktop worth mentioning for the end users :-)
> 
> For the time being i've replaced the recently used with places, but i'll file
> the bugs with the RFE's, and see how it floats.. if there accepted i'll build it
> so that it has both recently used and places (seeing how nautilus has this as a
> prominent thing too, we might as well include it)

Right. Places seems the best option if you dont manage to get the other patches
in which seems unlikely from your comments. I would actually prefer places as a
option even if we have a recently used apps feature. 


> Yelp and beagle are definatly 2 packages that will make the requires list,
> however I'm still weighing if i should expand the requires to include openoffice
> writer/impress/calc, firefox and evolution ... it comes hardcoded with a list of
> pre-set 'favorite applications' and it would be a shame to have this menu be
> empty (ie .desktop files not found for those apps).. however it might be a (to)
> heavy dependency to pull in?

Apparently the favorite applications are treated as bookmarks and assuming the
applications in the default desktop group to be present in the system is very
reasonable. I would prefer these apps to be not defined as dependencies. Nothing
would happen if the user clicks on a non installed application currently which
is less of a evil (maybe a quick dialog box that its not installed or offering
to install it using pirut might be a option) compared to pulling in the the
kitchen sink as dependencies. 


> 

> I'll have to ping Jeremy for this, no docs make any mention of such
> functionality, and where there is a system-install-packages, there's no
> uninstall .. Alternativly for the time being i considered patching out those
> menu options if we can't provide them with functionality for now

Ok. That makes sense.


> 
> > I am just a volunteer from the Fedora perspective so take your time. Just
> > reviewing the functionality. 
> Sorry if i sounded a bit grumpy before, just been a long day :-)
> 

Thats fine. People assume everyone with a @redhat id has a Fedora job. Just
clarifying. 
Comment 30 Chris Chabot 2006-07-31 20:59:12 EDT
File the RFE bug: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=200863

Not counting on it floating, but you never know right :-)

btw, when apps are not installed (aka their .desktop file is missing from
/usr/share/applications/), the menu item is just not showed .. a lot more
gracefull way of dealing with it then having dead buttons, so i'll leave that
the way it is, and try to make the default 'favorite applications' as sane as
possible
Comment 31 Chris Chabot 2006-08-01 10:25:27 EDT
Work so far today:

* Tue Aug 1 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.2-1.20060801cvs
- Changed version to actual upstream version
- Reworked requires/buildrequires
- Formatted spec file
- Changed package manger patch, made remove/update menu items optional
  incase these will some day be posible thru pup / pirut
- Added patch to DocPath, to support X-Gnome-DocPath in .desktop files too
- Changed network click to call system-config-network, and added requires

spec file looks a bit cleaner now too, (build/)requires are a bit saner now,
mock builds cleanly and rpmlint is happy too..

Also renamed the version to 0.6.2, thats whats reported internally in slab :-)

Will have some more time hopefully tonight to knock a few more things of the
todolist.

updated spec/srpm:
http://develop.intermax.nl/slab/slab.spec
http://develop.intermax.nl/slab/slab-0.6.2-1.20060801cvs.src.rpm

Not finished yet, but getting closer step by step :-)
Comment 32 Chris Chabot 2006-08-01 16:42:25 EDT
Ps thanks to the Docpath + X-Gnome-DocPath patch i made to support normal gnome
(vs suse custom) help file paths, it seems to work to work well again (though
you need to remove & re-add the applet to make it take affect)

However not everything has a document file associated with it, so the results
arn't as overwelming as they could have been .. on my rawhide system (with quite
a bit installed) i get:
# grep "DocPath" *.desktop
evince.desktop:X-GNOME-DocPath=
gnome-cd.desktop:X-GNOME-DocPath=gnome-cd/gnome-cd.xml
gnome-dictionary.desktop:X-GNOME-DocPath=gnome-dictionary/gnome-dictionary.xml
gnome-eog.desktop:X-GNOME-DocPath=eog/eog.xml
gnome-file-roller.desktop:X-GNOME-DocPath=file-roller/file-roller.xml
gnome-gcalctool.desktop:X-GNOME-DocPath=gcalctool/gcalctool.xml
gnome-gedit.desktop:X-GNOME-DocPath=gedit/gedit.xml
gnome-search-tool.desktop:X-GNOME-DocPath=gnome-search-tool/gnome-search-tool.xml
gnome-system-log.desktop:X-GNOME-DocPath=gnome-system-log/gnome-system-log.xml
gnome-terminal.desktop:X-GNOME-DocPath=gnome-terminal/index.html
gnome-volume-control.desktop:X-GNOME-DocPath=gst-mixer/gnome-volume-control.xml
gthumb.desktop:X-GNOME-DocPath=gthumb/gthumb.xml
rhythmbox.desktop:X-GNOME-DocPath=rhythmbox/rhythmbox.xml

Still, its a start :-)

Todo is still:
- Replacing computer icon on panel with fedora one
- make system-config-network .desktop file & include it, main package doesnt
have it (and is needed to make it called from main menu)
- Add few more fedora standard places to places menu
- Consider to keep 'autostart' menu's or patch them out..
- Hopefully enable recently-used, but depends on patches being included in
panel/desktop
- Still waiting reply from Jeremy on pirut/pup functionality, made package
commands optional (instead of flat out removing them), if gconf key of those
commands is empty, their not shown in the context menu

ps if you don't see 'Search' in the main menu (as you reported Sundaram) then
start 'beagled' and it will show up :-) Slab is actually quite smart about
showing/hiding functionality based on whats available, i'm impressed by that :-)

Comment 33 Parag AN(पराग) 2006-08-02 01:31:24 EDT
As Chris Chabot has worked a lot on this package, i would like to give up 
maintainership of this package to him.
Comment 34 Rahul Sundaram 2006-08-02 18:43:25 EDT

Consider calling the applet name in the GNOME applet list as "Computer Menu"
instead of slab menu since slab is basically a internal code name.

Also look at http://www.zephyrwood.org/chanders/
Comment 35 Rahul Sundaram 2006-08-03 11:34:54 EDT
Also, any custom applications added to the default list of favorite applications
is not retained on reboot. The context menu on the application browser says
"Remove from favorites" but the favorites list doesnt show the application.
Removing and readding it works. 

The slab menu description in the gnome add to panel dialog box has a typo -
"featurefull". It can say "Feature rich" instead. 

20060801cvs package requires dbus-glib-devel which doesnt exist on a FC5 system. 
Comment 36 Chris Chabot 2006-08-03 14:55:40 EDT
Will investigate on the favorite applications, 'it works well here'. but i'll 
check on a few more computers including on a FC5 one.. 

Guess the dbus-glib-devel BR could be conditional? i'll run it thru mock 
without and see how it performs without that BR

Thanks for the spelling sugestion, i'll incorperate that asap

expect to have the next release out, with a few more fixes, tomorrow
Comment 37 Rahul Sundaram 2006-08-03 20:19:00 EDT
The "exit" item in the side bar doesnt show suspend as a option. We need that
there since the gnome main menu bar does provide it in FC5 and above currently.
I am not sure how SUSE  (as slab upstream) integrates suspend in their system.
Might be worth looking. 
Comment 38 Chris Chabot 2006-08-06 08:33:09 EDT
Finally a new version available, work and not being horribly experianced in GTK
hacking made for a little slower progress.

http://develop.intermax.nl/slab/slab-0.6.2-2.20060801cvs.src.rpm
http://develop.intermax.nl/slab/slab.spec

Also all the current patches are available to browse at:
http://develop.intermax.nl/slab/

Latest changes:
* Sun Aug 6 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.2-2.20060801cvs
- Changed icon to gnome-main-menu instead of gnome-fs-client
- Fixed typo in applet description
- Fixed mixed spaces/tabs in spec file
- Renamed applet name from "Slab Main Menu" to "Computer Menu"
- Changed menu icon size to GTK_ICON_SIZE_{SMALL,LARGE}_TOOLBAR based
  on the current panel size, instread of GTK_ICON_SIZE_MENU
- made "Computer" label on the menu button optional 
  (gconfkey location: desktop/gnome/applications/main-menu/show_menu_label)

I've created a "show_menu_label" gconf key to show or hide the "Computer" label
since, well i prefer it without, however since i don't want to double-guess
novells usability research i did leave it on by default.

The new show_menu_label key together with the (finally!) fixed icon size of the
panel applet, means its now a drop in replacement for the regular gnome main menu.

Also the dbus-glib-devel BR has been nuked, wasn't required in the end :-)
Comment 39 Chris Chabot 2006-08-06 08:38:05 EDT
Woops one change that i almost forgot to include:
- Changed network control to call redhat-neat-control.desktop

Its included in the patches & srpm new

Still need to investigate how to make a 'suspend' button (what gnome services
call to make to do such a thing), but working on it :-)
Comment 40 Chris Chabot 2006-08-06 11:58:58 EDT
(In reply to comment #35)
> Also, any custom applications added to the default list of favorite applications
> is not retained on reboot. The context menu on the application browser says
> "Remove from favorites" but the favorites list doesnt show the application.
> Removing and readding it works. 

The bug was even a bit weirder then that, if you were to add one more favorite
after reboot, all old fav's plus the new one would show up again

Turns out on initial load, it limits the amount of 'tiles' there to 6 by
default, then on drag and drop, adding or removing, etc it 'refreshes' the area,
and notices it should show all the other buttons too

As a temporary solution i've patched the schemas file to default to 'limit to
128 entries', this way 'hell should freeze over' (and you screen being very
full) before this limit is hit, and the issue manifests its self again.

Might try to come up with a 'better solution' sometime, but for now this will do
i think.

Uploaded the latest changes to the same place again:
http://develop.intermax.nl/slab/slab-0.6.2-2.20060801cvs.src.rpm
http://develop.intermax.nl/slab/slab.spec
Comment 41 Chris Chabot 2006-08-06 12:09:55 EDT
Add / remove from startup seems to suffer from the same kind of confusion. if
you add a application to 'startup automaticly' the links are created propperly,
and app will be started ok on login, however the label isn't updated to 'remove
from startup' untill you restart the slab menu.

Quite confusing for the end user, so disabled this functionality for now, but
will keep it on my 'to fix somewhere in the future' list :-)

Update in the usual location
Comment 42 Chris Chabot 2006-08-06 16:30:35 EDT
Ok the biggest patch is done too, it now has a "Suspend" button in the system
list, took a few hours to make that happen though :-)

Result at:
http://develop.intermax.nl/slab/slab-0.6.2-2.20060801cvs.src.rpm
http://develop.intermax.nl/slab/slab.spec

Slab suspend patch:
http://develop.intermax.nl/slab/slab.suspend.patch

All patches & sources at:
http://develop.intermax.nl/slab/

Full list of today's changes:
* Sun Aug 6 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.2-2.20060801cvs        
                         
- Changed icon to gnome-main-menu instead of gnome-fs-client                   
                         
- Fixed typo in applet description                                             
                         
- Fixed mixed spaces/tabs in spec file                                         
                         
- Renamed applet name from "Slab Main Menu" to "Computer Menu"                 
                         
- Changed network control to call redhat-neat-control.desktop                  
                         
- Changed menu icon size to GTK_ICON_SIZE_{SMALL,LARGE}_TOOLBAR based          
                         
  on the current panel size, instread of GTK_ICON_SIZE_MENU                    
                         
- made "Computer" label on the menu button optional                            
                         
  (gconfkey location: desktop/gnome/applications/main-menu/show_menu_label)    
                         
- Changed itemlimit to 128 by default (was 6)                                  
                         
- Removed add/remove from startup menu's, wasn't updating menu labels          
                         
  until after restart                                                          
                         
- Added "Suspend" button to System menu & actual g-p-m suspend code            
                         
  based on gnome-panel's implimentation  

Will do a final runover tomorrow or tuesday (work permitting) and might just
call it 'ready for review'! :-)
Comment 43 Chris Chabot 2006-08-06 17:25:16 EDT
(In reply to comment #20)
> Looking good. How do you choose which hard drive to display? It probably makes
> sense to display the partition of the users home directory. (It looks like it
> may be defaulting to the first ext2 partition which is my /boot partition. Or
> maybe it's defaulting to that because my home dir is nfs mounted?)

Ps i looked into this and it uses 'g_get_home_dir' to determine what drive to
show, devhelp tells me: "Note that in contrast to traditional UNIX tools, this
function prefers passwd entries over the HOME environment variable."

Hope that awnsers your question
Comment 44 Thomas J. Baker 2006-08-06 17:37:45 EDT
Maybe that function doesn't like LVM or something because it's not working on my
laptop either. My account is in the local password file and the home dir is on
an lvm /home partition. I don't know if it matters or not but this is on FC5. I
assume it's working fine for you?
Comment 45 Chris Chabot 2006-08-06 18:12:36 EDT
(In reply to comment #44)
> Maybe that function doesn't like LVM or something because it's not working on my
> laptop either. My account is in the local password file and the home dir is on
> an lvm /home partition. I don't know if it matters or not but this is on FC5. I
> assume it's working fine for you?

That depends, on my home computer with dm-raid volumes, it also doesn't show the
correct hd stats (ie: none), however on my laptop and work computer with normal
hd setups it works fine. Maybe worth an upstream gnome bug report? I'll check
and if the problem is there, file
Comment 46 Thomas J. Baker 2006-08-07 10:21:40 EDT
One other thing with this new version. I use the Unofficial Tango icon set and I
guess because you recently switched to using the Fedora icon instead of the
Computer icon, I get two shoe prints instead of a computer icon for the applet
on the panel.

OK, I just looked at my "Add to Panel" dialog and it seems you're probably using
the "Main Menu" icon, which when using the clearlooks icon theme is the same as
the "Menu Bar" icon (fedora symbol). Under tango though, "Main Menu" is two shoe
prints while "Menu Bar" is the Gnome foot. Would it be possible if not using the
Computer Icon to use the Menu Bar icon? 

This must be one of those icon naming things that will eventually be
straightened out.
Comment 47 Rahul Sundaram 2006-08-09 03:57:50 EDT
There seems to be a packaging mistake here. 

#rpm -Uvh /usr/src/redhat/RPMS/i386/slab-0.6.2-2.20060801cvs.i386.rpm
Preparing...                ########################################### [100%]
        package slab-1.0-5.20060721cvs (which is newer than
slab-0.6.2-2.20060801cvs) is already installed


Suspend menu item doesnt show up which I click "log out". Log out was called
Exit in the previous package. 

I am not sure calling neat is useful for the end user. They usually wouldnt be
setting up profiles. If the network is wireless, it should probably call Network
Manager instead although the user interface is a applet which isnt suitable for
direct interaction. 

Comment 48 Hans de Goede 2006-08-22 09:25:27 EDT
Ok it took a while b/c real life job took a to big toll on my time, but i've
finaly found some time to 'finish' this package.

Upstream (SuSe) had a new version (even though they still call it 0.6.2) which
intergrates a lot of fixes from SLED, but they also reformatted all the source
code and changed the library sources quite a bit, so i've had to re-base all the
patches by hand, which took a bit of time :-)

One of the 'major' bugs it fixes is that on startup 'Favorite Applications'
would only show 6 entries, even if more were defined; This seems to work
'correctly' now, and it will show all fav applications on startup now.

The new package can be found at:
http://develop.intermax.nl/slab/slab.spec
http://develop.intermax.nl/slab/slab-0.6.2-3.src.rpm

The re-based & re-worked patches are:
http://develop.intermax.nl/slab/gnome-main-menu-0.6.2-fedora.patch
http://develop.intermax.nl/slab/gnome-main-menu-0.6.2-disable-add-to-startup.patch

I've made the second one seperate, because i hope 'add to startup' actions will
be fixed soon(ish) by upstream, and this way it'll be easier to back out :-)

I've also changed the network button action from redhat-neat-control to
redhat-neat (aka system-config-network).

(In reply to comment #47)
The suspend button should show up if g-p-m reports it has this capability, else
the button is hidden

(In reply to comment #46)
I've changed slab (aka gnome-main-menu) to use the vendor supplied default main
menu icon, when using an fedora theme this will be the fedora logo, however
other themes can override this and put their own icon there.. In your case i
think tango inherits the default gnome iconset, and doesn't define the main menu
icon, so it uses the fall back one (from default gnome). If you changed tango to
inherit "bluecurve, gnome", then you should keep the fedora logo there

Do note that the package version now is: 0.6.2-3. This is *not* a mistake, the
previous packager choose 1.0 as a uneducated guess, the upstream version number
is 0.6.2, which is the tarbal this is based on. To fix this please run:
rpm -Uvh --oldpackage /location/to/rpms/slab-*.rpm

The 'cvsYYYYMMDD' tag was dropped since its now based on SuSe's gnome-main-menu
tarbal, and not a cvs checkout (which btw has the License: GPL tag, so this was
an available option)

I'd think this package is finally ready for review now :-)
Comment 49 Chris Chabot 2006-08-22 09:28:36 EDT
Woops the previous comment was by me (chabotc@xs4all.nl) but i noticed to late
bugzilla was still logged in using Hans's account (he's spend many hours here
last weekend to fix a number of dm-raid / mkinitrd bugs).

Logged out as hans and logged in under the correct account again :-)
Comment 50 Rahul Sundaram 2006-08-22 09:40:17 EDT

Can you add a link to Pup near to the Pirut entry in the sidebar? I am done with
the functionality review. Someone else has to review the packaging. 
Comment 51 Chris Chabot 2006-08-22 09:43:06 EDT
I was hoping the default enabled (i think?) puplet would be good enough for the
software updating part (?)

i'd like to keep the # of entries in the right column (system commands) to a
minimun, else it'll only become scary and confusing to end users again to have
so many options there

Comment 52 Rahul Sundaram 2006-08-22 09:54:49 EDT

Puplet is there only in FC6. I believe this package would also be pushed into
the FE-5 branch. Its quite useful to have the ability the directly launch pup
atleast in FC5. 
Comment 53 Bart Vanbrabant 2006-08-22 14:51:16 EDT
Why not add just one item called something like "Leave" that groups all stuff
like shutdown, reboot, suspend, logout, lock screen, ...

It also shows the harddisk usage of my /boot partition, which is pretty useless,
this should be the partition where /home is located.

But it starts to look very nice!
Comment 54 Chris Chabot 2006-08-22 15:54:51 EDT
(In reply to comment #53)
> Why not add just one item called something like "Leave" that groups all stuff
> like shutdown, reboot, suspend, logout, lock screen, ...

Hi Bart, thanks for the comments, and its a good idea but please don't confuse
me for 'upstream', i'm just the fedora packager who's trying to intergrate an
existing product into fedora. SuSe's is upstream, so thats the place where you
could report your sugestions :-)

> It also shows the harddisk usage of my /boot partition, which is pretty useless,
> this should be the partition where /home is located.

Hmm heard such things before and have such a problem my self too .. i'll try to
take a look into it, but i suspect its just an 'gnome-main-menu' bug that exists
upstream too, so no guarantee's :-)
Comment 55 Thomas J. Baker 2006-08-24 11:12:14 EDT
Created attachment 134825 [details]
poor font rendering example
Comment 56 Thomas J. Baker 2006-08-24 11:14:26 EDT
I'm getting poor font rendering in slab. See previous attachment. Under FC5.
It's not the standard font but Maiandra GD. I don't see the poor font rendering
anywhere else on my desktop.
Comment 57 Thomas J. Baker 2006-08-24 11:18:37 EDT
Sorry to spam but I guess it could be just bad looking bolding? Or non standard
bolding? I just tried bolding some text in an html email in evolution with the
same font and it looked fine even at different sizes.
Comment 58 Parag AN(पराग) 2006-09-29 03:53:42 EDT
(In reply to comment #48)
> Ok it took a while b/c real life job took a to big toll on my time, but i've
> finaly found some time to 'finish' this package.
> 
> Upstream (SuSe) had a new version (even though they still call it 0.6.2) which
> intergrates a lot of fixes from SLED, but they also reformatted all the source
> code and changed the library sources quite a bit, so i've had to re-base all the
> patches by hand, which took a bit of time :-)
> 
> One of the 'major' bugs it fixes is that on startup 'Favorite Applications'
> would only show 6 entries, even if more were defined; This seems to work
> 'correctly' now, and it will show all fav applications on startup now.
> 
> The new package can be found at:
> http://develop.intermax.nl/slab/slab.spec
> http://develop.intermax.nl/slab/slab-0.6.2-3.src.rpm

I found only this as latest package to review here. I tried mock build for i386
development an dgot following results
aclocal:configure.in:16: warning: macro `AM_PROG_LIBTOOL' not found in library
configure.in:16: error: possibly undefined macro: AM_PROG_LIBTOOL
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.1788 (%build)

Am i missing something?
Comment 59 Chris Chabot 2006-09-29 08:11:01 EDT
Good catch, this was caused by some missing build-requires (nl: libtool,
intltools, wireless-tools). Added those and uploaded the fixed releases to.

To make things more interesting, in fedora-devel its wireless-tools-devel and in
fc5 its just wireless-tools, so i've added some distro specific conditional BR's
 to make it work in both situations; After these modifications, it mock builds
correctly again under fc5 & fc6/devel

The results can be found at at:

http://chabotc.nl/slab/slab.spec
http://chabotc.nl/slab/slab-0.6.2-4.src.rpm

Comment 60 Karl Lattimer 2006-10-05 06:31:19 EDT
The recent applications functionality is obviously broken at present due to the
lack of recent applications support in gnome. The patches located here;
http://cvs.gnome.org/viewcvs/slab/patch/ appear to be developed against gnome
2.12, is there any chance that they will be updated against 2.16 and HEAD in
order to ensure they are included in the gnome upstream? Also if they were to be
re-written to match with the 2.16 sources then it would be conceivable to
include them in the next gnome build for fedora. While they are waiting for
gnome approval.

Has anyone attempted to port these patches? If so any estimates on what is
required to reach full functionality? I may have a few hours to work on this
over the weekend and would be interested in finding out whether or not I am
duplicating effort.

After a quick glance over the patches it seems like the work is straight forward
unless I hit library changes. If I were to embark on this re-write I will build
against the latest fedora source rpms from devel (should match latest gnome
release), and provide patches here and on gnome bugzilla. 

Comment 61 Rahul Sundaram 2006-10-05 08:31:00 EDT
There is no recent applications functionality in the spec provided for review.
Rewritting and updating it for 2.16 is non trivial and is a separate open RFE
#200863. We dont need to wait for this since the current spec has replaced
recent applications with recent documents as you can see in the above comments.
The only thing required here would be a packaging review now. 
Comment 62 Denis Leroy 2006-10-09 18:52:23 EDT
There has been some fantastic work done on this package by Chris "Slab" Chabot
and Parag An, with the help of very constructive functionality reviews done by
Rahul and others. I think this has reached a state where it can be reviewed (in
the traditional packaging/spec sense) and released to the end users, and further
development and discussion can happen in bugzilla tickets filed against specific
problems or enhancements.

- the CVS version of gnome-main-menu is now at 0.6.3, Chris were you planning on
integrating the patches into a more recent version ? (not a request, just asking)

- if you do, you may want to use an RPM versioning such as "0.6.3-0.20061003.1",
so that if upstream ever decides to tag their tree and make an official release,
"0.6.3-1" will be greater.

Comment 63 Chris Chabot 2006-10-10 01:50:13 EDT
Hi Denis,

If the cvs version is not a to major departure from 0.6.2, i'll intergrate it
this evening, if it is a relativly large change, it might take some rebasing of
some huge patches, so then it would have to wait until the weekend :-)

Comment 64 David Zeuthen 2006-10-27 18:13:26 EDT
Is anything happening with packaging this one up? I think upstream released
0.6.3 some days ago... Thanks, David.
Comment 65 Rahul Sundaram 2006-10-28 04:58:56 EDT
Package should probably renamed gnome-main-menu since this is what upstream
wants to call it and this is heading for a potential merge in the next gnome
version. 
Comment 66 David Zeuthen 2006-12-15 14:46:19 EST
Any progress on this? Thanks!
Comment 67 Denis Leroy 2007-01-13 09:42:08 EST
Chris, are you still up to do the review ? A quick note first: in the devel
package section: those should be Requires:, not BuildRequires:, and i don't
think automake should be in there.
Comment 68 Traxtopel 2007-01-22 02:12:27 EST
I am using the 0.6.3 & 0.6.4 code, there are issues with Recent documents. i.e.
from nautilus open a file, initially it does not appear on the slab recent
documents panel, until you open another document i.e. something not getting
refreshed correctly

I am currently using the patches from gentoo(issues appear with either),
slightly modified
http://gentoo-fldc.googlecode.com/svn/trunk/gnome-extra/gnome-main-menu/files/

Has anyone else seen this issue with "Recent Documents"?

If anyone wants I can post these patches.
Comment 69 Denis Leroy 2007-02-02 12:15:02 EST
Chris, do you think you'll have time to complete this submission ?

If not, is anyone interested in taking over the package ? 
Comment 70 Karl Lattimer 2007-02-23 15:25:39 EST
Has anyone updated this to the latest SVN version?
Comment 71 Karl Lattimer 2007-02-23 15:26:37 EST
Has anyone updated this to the latest SVN version?
Comment 72 Denis Leroy 2007-02-23 16:10:52 EST
No, would you like to give it a shot ?
Comment 73 Karl Lattimer 2007-02-23 16:13:51 EST
I might give it a try over the next few days if i get a chance, I'm really
looking forward to trying the new more usable slab menu.

Is there any word on the versioning scheme yet? What version is the new SLAB
package for SLED? 
Comment 74 David Nielsen 2007-04-14 03:14:41 EDT
Looking at the SVN branch for SLED10 SP1 bugfixes the version they are at
currently is 0.9.8.

http://svn.gnome.org/viewcvs/gnome-main-menu/branches/SLED10-SP1/

I compiled this branch on Fedora as I enjoyed using it while I was testing
SLED10 SP1, currently there are a few problems.

1) It doesn't display the Applications context
2) The status field for harddrive displays 0mb of 0mb
3) It has issues with translations, long strings get cut off

Outside of that this works rather well out of the box.
Comment 75 Denis Leroy 2007-08-21 19:19:34 EDT
Closing this, as there seems to be no interest in picking this up. New takers
should file a new review.

Comment 76 Parag AN(पराग) 2007-08-24 00:48:26 EDT
hmm. another long discussed review got DEAD-REVIEW status.
Comment 77 Karl Lattimer 2007-09-01 06:49:12 EDT
As requested, I've taken up building a new package for this, it is almost
complete. You can check it out over at bug #273701. 

Note You need to log in before you can comment on or make changes to this bug.